/********************************************************************
*
*
*
*********************************************************************
* FileName:         Define_General.h
* Dependencies:     See INCLUDES section below
* Processor:        PIC16LF1947
* Compiler:         HTC
* Company:          Microchip Technology, Inc.
*
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro® Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*********************************************************************
* File Description: This file contains the function prototypes for input
*          switchs used to determine a single or multiple button push.
*
* Change History:
* Author               Date        Version
* Chris Tucker        5/2/11         1.0A  (Initial Release)
********************************************************************/

/**
*   @file Define_General.h
*   @brief
*   @defgroup
*
*/

#ifndef __DEFINE_GENERAL_H
#define __DEFINE_GENERAL_H

//******************************************************/
//		COMMON USE DEFINES
//******************************************************/

#define SET                     1
#define CLEAR                   0
#define ON                      1
#define OFF                     0
#define INPUT                   1
#define OUTPUT                  0

#define	CEL			0
#define FER			1

#define AMPM_TIME               0
#define WLD_TIME                1

#define AM			0
#define PM			1

#define LF                      0
#define MF                      1
#define HF                      2
#define PLL                     3

#define waitTime                10

#define NAP30                   1
#define NAP60                   2
#define CUSTOM                  3

#define NONE                    0
#define SHORT                   1
#define MED                     2
#define LONG                    3

#define SNAP                    1
#define BRIEF                   2
#define EXTENDED                3

#endif //XLP.DEFINE_GENERAL_H