//
// MICROCHIP SOFTWARE NOTICE AND DISCLAIMER: You may use this software,
// and any derivatives created by any person or entity by or on your
// behalf, exclusively with Microchip’s products. Microchip and its
// licensors retain all ownership and intellectual property rights in
// the accompanying software and in all derivatives hereto.
//
// This software and any accompanying information is for suggestion
// only. It does not modify Microchip’s standard warranty for its
// products. You agree that you are solely responsible for testing the
// software and determining its suitability. Microchip has no obligation
// to modify, test, certify, or support the software.
//
// THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES,
// WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO,
// IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS
// FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE, ITS INTERACTION WITH
// MICROCHIP’S PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN
// ANY APPLICATION.
//
// IN NO EVENT, WILL MICROCHIP BE LIABLE, WHETHER IN CONTRACT, WARRANTY,
// TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), STRICT
// LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT,
// SPECIAL, PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS,
// DAMAGE, FOR COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE
// SOFTWARE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF THE
// // POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
// ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY
// WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF
// ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
//
// MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE
// OF THESE TERMS.
//

/**
 * @file
 * @brief This file contains the function prototypes for the LCD. This file
 * also contains defines applicable to the LCD.
 *
 * @ingroup slave
 * @{
 */

#ifndef __LCD_GENERAL_H
#define __LCD_GENERAL_H

#include "typedefs.h"

#define LCD_MAX_CHARS           16

// Number Assignment, Misc.
#define LCD_POWER_ON            0
#define LCD_POWER_OFF           1
#define LCD_RS_COMMAND          0
#define LCD_RS_DATA             1
#define LCD_LOW                 0
#define LCD_HIGH                1
#define LCD_SELECTED            0
#define LCD_nSELECTED           1

//LCD Prototypes
extern void lcd_init(void);
extern void lcd_clear(void);
extern void lcd_goto(const UINT8 x,const UINT8 y);
extern void lcd_putchar(const char c);
extern void lcd_putascii(const char c);
extern void lcd_putstr(const char *s);
extern void lcd_putcmd(UINT8 Command);
extern void lcd_putline(const UINT8 l, const char *s);

//----------------------------------------------------------------------------

#endif // __LCD_H

/** @}*/