/********************************************************************
 *
 *
 *
 *********************************************************************
 * FileName:         manchester.c
 * Dependencies:     See INCLUDES section below
 * Processor:        PIC16F509
 * Compiler:         XC8
 * Company:          Microchip Technology, Inc.
 *
 * Software License Agreement:
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") for its PICmicro® Microcontroller is intended and
 * supplied to you, the Company's customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *********************************************************************
 * File Description: This file contains functions for the Manchester Encoder
 *
 * Change History:
 * Author               Date        Version
 * Brian Bailey        6-8-12         1.0A  (Initial Release)
 ********************************************************************/

#include "../include/include.h"

void encoder_init(void)
{
//***********************************************
#ifdef _LAB1
   Add CLC Register code here!
   


#endif
   
//***********************************************

    
//***********************************************

            
//***********************************************


}

void send_encoded_message(char command, const char *s)
{
    //Setup Timer for SPI
    PR2 = 0x50;
    T2CON = 0x00;
    TMR2 = 0x00;
    //send start command
    spi_manchester_write(command);

    //send message
    while(*s)
    {
        spi_manchester_write(*s++);
    }

    //send stop command
    spi_manchester_write(0xAA);
    
#ifdef Motor
    //Configure timer for Motor
    PR2 = 0xFF;
    T2CON = 0x07;
#endif
}