/********************************************************************
*
*
*
*********************************************************************
* FileName:         pic16_config.h
* Dependencies:     See INCLUDES section below
* Processor:        PIC16LF1947
* Compiler:         HTC
* Company:          Microchip Technology, Inc.
*
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro® Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*********************************************************************
* File Description: This file contains the function prototypes for input
*          switchs used to determine a single or multiple button push.
*
* Change History:
* Author               Date        Version
* Chris Tucker        5/2/11         1.0A  (Initial Release)
********************************************************************/

/**
*   @file pic16_config.h
*   @brief
*   @defgroup
*
*/

#ifndef __PIC16_CONFIG_H
#define __PIC16_CONFIG_H

#include <htc.h>

//*****************************************************************************
// PIC Configuration
//*****************************************************************************
// Config word 1
//  High speed internal oscillator, Watchdog timer disabled, power-up Timer
//  disabled, Master Clear Function enabled Code Protector disabled, Date EE
//  read disabled, Brown-out Reset disabled, Clock out on RA7 disabled
//  Internal External clock switch disabled, Fail clock monitor disabled
///	@brief	CONFIGURATION WORD 1

__CONFIG(FCMEN_OFF & IESO_OFF & CLKOUTEN_OFF & BOREN_OFF & CP_OFF & MCLRE_ON & PWRTE_OFF & WDTE_OFF & FOSC_INTOSC); 	///< CONFIGURATION WORD 0

// Config word 2
//  Flash memory self-write protection disabled,
//  PLL disabled, Stack over/underflow disabled Brown out reset
//  voltage set to be 2.7V, Debugger Mode disabled, Low Voltage Programmng
//  disabled
///	@brief	CONFIGURATION WORD 2

__CONFIG(LVP_OFF & BORV_LO & LPBOR_OFF);

#endif // __PIC1_CONFIG_H6
