/********************************************************************
 *
 *
 *
 *********************************************************************
 * FileName:         manchester.c
 * Dependencies:     See INCLUDES section below
 * Processor:        PIC16F509
 * Compiler:         XC8
 * Company:          Microchip Technology, Inc.
 *
 * Software License Agreement:
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") for its PICmicro® Microcontroller is intended and
 * supplied to you, the Company's customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *********************************************************************
 * File Description: This file contains functions for the Manchester Decoder
 *
 * Change History:
 * Author               Date        Version
 * Brian Bailey        6-8-12         1.0A  (Initial Release)
 ********************************************************************/

#include "../include/include.h"

unsigned char command = 0;
unsigned int byte = 0;
int transmit_flag = 0;
unsigned char message[17];
unsigned int LCD_Line;

void decoder_init(void)
{
//***********************************************
    /***************************************************************/
   Setup CLC
    /***************************************************************/
   

    /***************************************************************/
    //Setup NCO
    /***************************************************************/

    NCO1INCH = 0x08;
    NCO1INCL = 0x88;

    // Setup pulse width to be 1 clock

    NCO1CLKbits.N1PWS1 = 1; //Pulse width is 4 clocks
    NCO1CLKbits.N1CKS1 = 1; //Clock source is CLC1 out.
    NCO1CON = 0b11010001; //NCO Enabled, Output Enabled, Signal is Active Low (datasheet is wrong)

//***********************************************
}

void decode_data(unsigned char data)
{
     
    //First Byte
    spi_init(Master);

    switch(data){           //First byte
        case 0xA1:          //LCD Write, Line 1
            command = 1;
            byte = 0;
            LCD_Line = 0;
            break;
        case 0xA2:          //LCD Write, Line 2
            command = 1;
            byte = 0;
            LCD_Line = 1;
            break;
        case 0xA5:          //Motor Speed
            command = 2;
            byte = 0;
            break;
        case 0xAA:          //Stop Command
            command = 0;
            transmit_flag = 0;  //transmition finished
            message[byte] = 0;  //null
            break;
        default:{
        //Remaining bytes
            switch(command){
                case 0:         //Error first byte not start byte
                    transmit_flag = 2;  //Error flag
                    break;

                case 1:         //LCD Write
                    message[byte] = data;
                    byte++;
                    break;

                case 2:         //Motor Speed

                    break;

                default:

                    break;

            }
            
        }
        break;
    }

    return;
}