/**
 * @file uart.h
 * @brief USB comms
 *
 * @ingroup uart
 * @{
 */
#ifndef __UART_H
#define __UART_H

#include "typedefs.h"
#include "main.h" //XTAL FREQ

#define MCP2200_BAUD 9600 /**< @param MCP2200_BAUD UART hardware speed. Both sides must agree on this to work properly */

 /** DIVIDER calculates value for SPRG
  *  \note This value only works for SYNC = BRGH = BRG16 = 0 */
#define DIVIDER ((int)(_XTAL_FREQ/(64UL * MCP2200_BAUD) -1))

//prototypes
void putch_uart(UINT8);
void mcp2200_init(void);
void mcp2200_prompt(void);
UINT8 mcp2200_getch(void);
UINT8 mcp2200_getche(void);





#endif
/** @}*/